{
"message": "fiscalYear must be a 4-digit year"
}
{
"message": "invalid_token"
}
{
"message": "Company does not belong to the specified partner"
}
{
"message": "Resource not found"
}
{
"message": "Internal server error"
}
Coming soon: this endpoint is still under review and may change before release.
Overview
This endpoint returns the committed expenses of a specific employee: the amounts the employee has committed to spend over several payroll cycles, such as nursery. A committed expense counts against the employee’s flexible-benefit limit from the moment it is committed, so use this endpoint to know how much of the limit is already taken.Each committed expense belongs to a single fiscal year and benefit category. Nursery has an annual limit, so its committed expenses are reported per fiscal year.You can narrow the response with the following query parameters:
fiscalYear: a single fiscal year (e.g. 2026). If omitted, all fiscal years are returned.
categories: a comma-separated list of benefit categories. Currently only nursery-benefit is supported.
status: a comma-separated list of statuses (e.g. active,finished). If omitted, committed expenses in any status are returned.
Status
active: the committed expense has payments still to be charged. Cancelling a single payment does not change the status.
finished: the last payment has been charged and nothing remains pending.
cancelled: the committed expense, or its remaining future payments, has been cancelled. Its pendingPayments will never be charged.
Amounts and payments
committedAmountInCents is the total committed and paidAmountInCents is the part already charged. The committed expense is split into numberOfPayments monthly payments, of which pendingPayments are still to be charged.Each payment is charged at the start of its payroll cycle and is also reported as a regular consumption by the consumptions endpoints and the employee.consumption.generated webhook event.
Recipient
recipient identifies the person the committed expense applies to when it is not the employee, for example a child for nursery. It is omitted when the committed expense applies to the employee. recipient.id is the same identifier returned as FamilyMember.id by the Family Members endpoints, and can be used with the Get family member endpoint.
Webhooks
The employee.committed-expense.* and employee.committed-expense.payment.*webhook events notify you when a committed expense is created, finished or cancelled, as a whole or one payment at a time. Events only identify what changed: call this endpoint after receiving one to get the current amounts. The id of each committed expense is the same committedExpense.id sent in those events.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
companyId
string<uuid>
required
The unique identifier of the company
employeeId
string
required
The unique identifier of the employee
Query Parameters
fiscalYear
string
Restrict the results to a single fiscal year (e.g. 2026). If not provided, all fiscal years with committed expenses are returned.
Pattern: ^[0-9]{4}$
Example:
"2026"
categories
string
Comma-separated list of benefit categories to include in the response. Currently only nursery-benefit is supported. If not provided, all categories are returned.
Example:
"nursery-benefit"
status
string
Comma-separated list of statuses to include in the response: active, finished and/or cancelled (e.g. active,finished). If not provided, committed expenses in any status are returned.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Cobee by Pluxee - Partners API Documentation","colors":{"primary":"#1B51DC","light":"#00EB5E","dark":"#1B51DC"},"logo":{"light":"https://mintcdn.com/pluxee-4cf195bf/cnWEWySeijRBtLVc/publicApi/logo/cobee_light.svg?fit=max\u0026auto=format\u0026n=cnWEWySeijRBtLVc\u0026q=85\u0026s=2fb0e4bc4b4d630455ec24dddd273fc6","dark":"https://mintcdn.com/pluxee-4cf195bf/cnWEWySeijRBtLVc/publicApi/logo/cobee_dark.svg?fit=max\u0026auto=format\u0026n=cnWEWySeijRBtLVc\u0026q=85\u0026s=abe6e6c45443314e03c8bd3be7736cc6"},"favicon":"https://mintcdn.com/pluxee-4cf195bf/VoVGphp1enuLODav/publicApi/favicon.png?fit=max\u0026auto=format\u0026n=VoVGphp1enuLODav\u0026q=85\u0026s=0f6677d1b2b59306b329d9da83bd1daa","api":{"playground":{"proxy":false}},"background":{"color":{"light":"#FFFFFF","dark":"#0E0C1D"}},"navbar":{"links":[]},"footer":{"socials":{"linkedin":"https://linkedin.com/company/cobee-espana"}},"metadata":{"timestamp":false},"styling":{"latex":false},"navigation":{"languages":[{"language":"en","href":"publicApi/en/welcome"}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"pluxee-4cf195bf","hasAudioNarration":false,"actualSubdomain":"pluxee-4cf195bf","customDomains":["docs.partners.api.cobee.io"],"gitSource":{"type":"gitlab","owner":"cobee/companies","repo":"public-api","deployBranch":"master","contentDirectory":"docs/mintlify/partnersApi","isPrivate":true,"projectId":68809709,"mountPath":"","label":""},"entitlements":{},"buildId":"6b002142d53e4181438d8523","clientVersion":"0.0.4248","searchFilterCounts":[{"language":"en","tag":"API Reference","count":36},{"language":"en","tag":"Webhook Reference","count":20},{"language":"en","tag":"Guides","count":11},{"language":"en","tag":"Employees","count":11},{"language":"en","tag":"Webhook Subscriptions","count":9},{"language":"en","tag":"Get Started","count":7},{"language":"en","tag":"Consumption Reports","count":6},{"language":"en","tag":"Limits","count":6},{"language":"en","tag":"Event Models","count":6},{"language":"en","tag":"Committed Expenses","count":5}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"site-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"control","enabled":true,"payload":{"type":"string","value":"control"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"wildcard-email-auth","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[]}
{"page":{"pagePath":"en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses","slug":"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses","pageMetadata":{"title":"[DRAFT] List employee committed expenses","openapi":"GET /companies/{companyId}/employees/{employeeId}/committed-expenses","description":"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.","href":"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Coming soon`}),`: this endpoint is still under review and may change before release.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`overview`,children:`Overview`}),`\n`,_jsx(_components.p,{children:`This endpoint returns the committed expenses of a specific employee: the amounts the employee has committed to spend over several payroll cycles, such as nursery. A committed expense counts against the employee’s flexible-benefit limit from the moment it is committed, so use this endpoint to know how much of the limit is already taken.`}),`\n`,_jsx(_components.p,{children:`Each committed expense belongs to a single fiscal year and benefit category. Nursery has an annual limit, so its committed expenses are reported per fiscal year.`}),`\n`,_jsx(_components.p,{children:`You can narrow the response with the following query parameters:`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:_jsx(_components.code,{children:`fiscalYear`})}),`: a single fiscal year (e.g. `,_jsx(_components.code,{children:`2026`}),`). If omitted, all fiscal years are returned.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:_jsx(_components.code,{children:`categories`})}),`: a comma-separated list of benefit categories. Currently only `,_jsx(_components.code,{children:`nursery-benefit`}),` is supported.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:_jsx(_components.code,{children:`status`})}),`: a comma-separated list of statuses (e.g. `,_jsx(_components.code,{children:`active,finished`}),`). If omitted, committed expenses in any status are returned.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`status`,children:`Status`}),`\n`,_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:_jsx(_components.code,{children:`active`})}),`: the committed expense has payments still to be charged. Cancelling a single payment does not change the status.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:_jsx(_components.code,{children:`finished`})}),`: the last payment has been charged and nothing remains pending.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.strong,{children:_jsx(_components.code,{children:`cancelled`})}),`: the committed expense, or its remaining future payments, has been cancelled. Its `,_jsx(_components.code,{children:`pendingPayments`}),` will never be charged.`]}),`\n`]}),`\n`,_jsx(Heading,{level:`3`,id:`amounts-and-payments`,children:`Amounts and payments`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`committedAmountInCents`}),` is the total committed and `,_jsx(_components.code,{children:`paidAmountInCents`}),` is the part already charged. The committed expense is split into `,_jsx(_components.code,{children:`numberOfPayments`}),` monthly payments, of which `,_jsx(_components.code,{children:`pendingPayments`}),` are still to be charged.`]}),`\n`,_jsxs(_components.p,{children:[`Each payment is charged at the start of its payroll cycle and is also reported as a regular consumption by the `,_jsx(_components.a,{href:`/publicApi/en/api-reference/consumptions/endpoint/get_employee_consumptions`,children:`consumptions`}),` endpoints and the `,_jsx(_components.a,{href:`/en/api-reference/webhooks/events/employee_consumption_generated`,children:_jsx(_components.code,{children:`employee.consumption.generated`})}),` webhook event.`]}),`\n`,_jsx(Heading,{level:`3`,id:`recipient`,children:`Recipient`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`recipient`}),` identifies the person the committed expense applies to when it is not the employee, for example a child for nursery. It is omitted when the committed expense applies to the employee. `,_jsx(_components.code,{children:`recipient.id`}),` is the same identifier returned as `,_jsx(_components.code,{children:`FamilyMember.id`}),` by the `,_jsx(_components.a,{href:`/en/api-reference/family-members/endpoint/get_family_members`,children:`Family Members`}),` endpoints, and can be used with the `,_jsx(_components.a,{href:`/en/api-reference/family-members/endpoint/get_family_member`,children:`Get family member`}),` endpoint.`]}),`\n`,_jsx(Heading,{level:`3`,id:`webhooks`,children:`Webhooks`}),`\n`,_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`employee.committed-expense.*`}),` and `,_jsx(_components.code,{children:`employee.committed-expense.payment.*`}),` `,_jsx(_components.a,{href:`/en/api-reference/webhooks/events`,children:`webhook events`}),` notify you when a committed expense is created, finished or cancelled, as a whole or one payment at a time. Events only identify what changed: call this endpoint after receiving one to get the current amounts. The `,_jsx(_components.code,{children:`id`}),` of each committed expense is the same `,_jsx(_components.code,{children:`committedExpense.id`}),` sent in those events.`]}),`\n`,_jsxs(Expandable,{title:`Examples`,children:[_jsx(Heading,{level:`4`,id:`application%2Fjson`,children:`application/json`}),_jsx(Expandable,{title:`default`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`47`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`47`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"legalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"B12345678\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EUR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employeeId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dd3de3a0-f903-42a0-b729-4cb16f185bc6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"internalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"legalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"129387655X\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedExpenses\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3c9a1e72-5b4d-4f08-9e6a-1d2c3b4a5f60\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nursery-benefit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fiscalYear\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"finished\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"8a1b2c3d-4e5f-6789-a0b1-c2d3e4f56789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`120000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"paidAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`120000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"numberOfPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`4`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pendingPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"f235bb3a-204a-47cf-ad22-2e48a590cdce\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nursery-benefit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fiscalYear\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"8a1b2c3d-4e5f-6789-a0b1-c2d3e4f56789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"paidAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"numberOfPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pendingPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"b7e4d2a1-6c3f-4a58-8d9e-0f1a2b3c4d5e\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nursery-benefit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fiscalYear\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"cancelled\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4f6e8d0c-2b1a-4c3d-9e8f-7a6b5c4d3e2f\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`40000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"paidAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"numberOfPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`4`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pendingPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),_jsx(Expandable,{title:`status=active`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`25`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`25`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"legalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"B12345678\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EUR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employeeId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dd3de3a0-f903-42a0-b729-4cb16f185bc6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"internalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"legalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"129387655X\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedExpenses\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"f235bb3a-204a-47cf-ad22-2e48a590cdce\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nursery-benefit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fiscalYear\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2026\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"8a1b2c3d-4e5f-6789-a0b1-c2d3e4f56789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"paidAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`10000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"numberOfPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`3`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pendingPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})}),_jsx(Expandable,{title:`fiscalYear=2025 \u0026 categories=nursery-benefit`,children:_jsx(CodeBlock,{filename:``,numberOfLines:`25`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`25`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"company\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"legalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"B12345678\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"EUR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"employeeId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"dd3de3a0-f903-42a0-b729-4cb16f185bc6\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"internalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12345\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"legalId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"129387655X\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedExpenses\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3c9a1e72-5b4d-4f08-9e6a-1d2c3b4a5f60\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"category\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nursery-benefit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fiscalYear\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2025\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"finished\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"recipient\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"8a1b2c3d-4e5f-6789-a0b1-c2d3e4f56789\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"committedAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`120000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"paidAmountInCents\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`120000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"numberOfPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`4`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pendingPayments\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`0`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"[DRAFT] List employee committed expenses","openapi":"GET /companies/{companyId}/employees/{employeeId}/committed-expenses","description":"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.","href":"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Overview","slug":"overview","depth":2,"children":[{"title":"Status","slug":"status","depth":3,"children":[]},{"title":"Amounts and payments","slug":"amounts-and-payments","depth":3,"children":[]},{"title":"Recipient","slug":"recipient","depth":3,"children":[]},{"title":"Webhooks","slug":"webhooks","depth":3,"children":[]}]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Get employee committed expenses","description":"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.","parameters":["297b132e-e3bf-426f-b071-4da873a96bb2","97deb6fb-bb4d-4874-a4c9-e0152ca1c194","caefabaf-1684-4542-832e-c048588c7dea","095a5ce2-a7b5-42e0-8687-644b96056d8c","8b6f8ced-ef13-426e-8cf0-1a87fea00d1c"],"responses":{"200":"6d991295-ff3e-4fdc-9a6e-a53779ed0db5","400":"b7fb75af-5735-4860-8692-669370faaf22","401":"0a3ff51a-60e1-4b1b-a27c-d9c28d323f54","403":"c801bec8-bc25-41e8-aad5-b054b27e0aaf","404":"30a9ddb5-0201-463a-8487-6d41cfd31279","500":"e5ebd754-309b-4c65-9ea1-d1c65f99ca8c"},"method":"get","type":"path","servers":["060a59e0-1b02-42db-802c-ab9066685288","657b1962-c896-4bc9-9a2e-678f6f9589c0"],"security":["a8704410-4038-4740-b35d-61038133fbce"],"path":"/companies/{companyId}/employees/{employeeId}/committed-expenses","baseUrlOptions":["https://pre-partners-api.cobee.io/api/v3","https://partners-api.cobee.io/api/v3"],"title":"Get employee committed expenses","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","disableProxy":true},"dependencies":{"parameters":{"297b132e-e3bf-426f-b071-4da873a96bb2":{"name":"companyId","in":"path","required":true,"description":"The unique identifier of the company","schema":{"type":"string","format":"uuid","isRequired":true,"description":"The unique identifier of the company","uniqueKey":"","typeLabel":"string\u003cuuid>"},"example":"a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890"},"97deb6fb-bb4d-4874-a4c9-e0152ca1c194":{"name":"employeeId","in":"path","required":true,"description":"The unique identifier of the employee","schema":{"type":"string","isRequired":true,"description":"The unique identifier of the employee","uniqueKey":"","typeLabel":"string"},"example":"dd3de3a0-f903-42a0-b729-4cb16f185bc6"},"caefabaf-1684-4542-832e-c048588c7dea":{"name":"fiscalYear","in":"query","required":false,"description":"Restrict the results to a single fiscal year (e.g. `2026`). If not provided, all fiscal years with committed expenses are returned.","schema":{"type":"string","pattern":"^[0-9]{4}$","example":"2026","isRequired":false,"description":"Restrict the results to a single fiscal year (e.g. `2026`). If not provided, all fiscal years with committed expenses are returned.","uniqueKey":"","typeLabel":"string"}},"095a5ce2-a7b5-42e0-8687-644b96056d8c":{"name":"categories","in":"query","required":false,"description":"Comma-separated list of benefit categories to include in the response. Currently only `nursery-benefit` is supported. If not provided, all categories are returned.","schema":{"type":"string","example":"nursery-benefit","isRequired":false,"description":"Comma-separated list of benefit categories to include in the response. Currently only `nursery-benefit` is supported. If not provided, all categories are returned.","uniqueKey":"","typeLabel":"string"}},"8b6f8ced-ef13-426e-8cf0-1a87fea00d1c":{"name":"status","in":"query","required":false,"description":"Comma-separated list of statuses to include in the response: `active`, `finished` and/or `cancelled` (e.g. `active,finished`). If not provided, committed expenses in any status are returned.","schema":{"type":"string","example":"active,finished","isRequired":false,"description":"Comma-separated list of statuses to include in the response: `active`, `finished` and/or `cancelled` (e.g. `active,finished`). If not provided, committed expenses in any status are returned.","uniqueKey":"","typeLabel":"string"}}},"responses":{"6d991295-ff3e-4fdc-9a6e-a53779ed0db5":{"description":"Employee committed expenses successfully retrieved","content":{"application/json":{"schema":{"type":"object","required":["company"],"properties":{"company":{"type":"object","required":["id","legalId","currency","employee"],"properties":{"id":{"type":"string","description":"The unique identifier of the company.","format":"uuid","example":"a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890","isRequired":true,"uniqueKey":"company.id","typeLabel":"string\u003cuuid>"},"legalId":{"type":"string","description":"The company's legal id","example":"B12345678","isRequired":true,"uniqueKey":"company.legalId","typeLabel":"string"},"currency":{"type":"string","description":"The currency code (e.g., EUR)","example":"EUR","isRequired":true,"uniqueKey":"company.currency","typeLabel":"string"},"employee":{"type":"object","description":"Employee","required":["employeeId","internalId","legalId","committedExpenses"],"properties":{"employeeId":{"type":"string","format":"uuid","description":"The unique identifier of the employee","example":"dd3de3a0-f903-42a0-b729-4cb16f185bc6","isRequired":true,"uniqueKey":"company.employee.employeeId","typeLabel":"string\u003cuuid>"},"internalId":{"type":"string","description":"The unique identifier of the employee in the client's system","example":"12345","isRequired":true,"uniqueKey":"company.employee.internalId","typeLabel":"string"},"legalId":{"type":"string","description":"The employee's legal id","example":"129387655X","isRequired":true,"uniqueKey":"company.employee.legalId","typeLabel":"string"},"committedExpenses":{"type":"array","description":"List of employee committed expenses","items":{"type":"object","required":["id","category","fiscalYear","status","committedAmountInCents","paidAmountInCents","numberOfPayments","pendingPayments"],"properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the committed expense. It is the same `committedExpense.id` sent by the committed expense webhook events.","example":"f235bb3a-204a-47cf-ad22-2e48a590cdce","isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"category":{"type":"string","description":"The benefit category of the committed expense.","enum":["nursery-benefit"],"example":"nursery-benefit","isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].category","typeLabel":"enum\u003cstring>"},"fiscalYear":{"type":"string","description":"The fiscal year the committed expense belongs to.","example":"2026","isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].fiscalYear","typeLabel":"string"},"status":{"type":"string","description":"The current status of the committed expense:\n - `active`: there are payments still to be charged. Cancelling a single payment does not change the status.\n - `finished`: the last scheduled payment has been charged and nothing remains pending.\n - `cancelled`: the committed expense, or its remaining future payments, has been cancelled. Pending payments will never be charged.","enum":["active","finished","cancelled"],"example":"active","isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"committedAmountInCents":{"type":"integer","description":"Total amount committed, in cents (e.g., 30000 for 300.00).","minimum":0,"example":30000,"isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].committedAmountInCents","typeLabel":"integer"},"paidAmountInCents":{"type":"integer","description":"Amount already paid/charged for this committed expense, in cents.","minimum":0,"example":10000,"isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].paidAmountInCents","typeLabel":"integer"},"numberOfPayments":{"type":"integer","description":"Total number of monthly payments the committed expense is split into.","minimum":1,"example":3,"isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].numberOfPayments","typeLabel":"integer"},"pendingPayments":{"type":"integer","description":"Number of monthly payments not yet charged. When `status` is `cancelled`, these payments will never be charged.","minimum":0,"example":2,"isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].pendingPayments","typeLabel":"integer"},"recipient":{"type":"object","description":"The person the committed expense applies to when different from the employee. Omitted when the committed expense applies directly to the employee, so the employee's identifier is not duplicated. When present, `recipient.id` is the same identifier returned as `FamilyMember.id` by the Family Members endpoints.","required":["id"],"properties":{"id":{"type":"string","format":"uuid","description":"The unique identifier of the corresponding family member. This is the same identifier returned as `FamilyMember.id` by the Family Members endpoints.","example":"8a1b2c3d-4e5f-6789-a0b1-c2d3e4f56789","isRequired":true,"uniqueKey":"company.employee.committedExpenses.items.[INDEX].recipient.id","typeLabel":"string\u003cuuid>"}},"uniqueKey":"company.employee.committedExpenses.items.[INDEX].recipient","typeLabel":"object"}},"uniqueKey":"company.employee.committedExpenses.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"company.employee.committedExpenses","typeLabel":"object[]"}},"isRequired":true,"uniqueKey":"company.employee","typeLabel":"object"}},"isRequired":true,"uniqueKey":"company","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"company":{"id":"a1b2c3d4-e5f6-7890-a1b2-c3d4e5f67890","legalId":"B12345678","currency":"EUR","employee":{"employeeId":"dd3de3a0-f903-42a0-b729-4cb16f185bc6","internalId":"12345","legalId":"129387655X","committedExpenses":[{"id":"f235bb3a-204a-47cf-ad22-2e48a590cdce","category":"nursery-benefit","fiscalYear":"2026","status":"active","committedAmountInCents":30000,"paidAmountInCents":10000,"numberOfPayments":3,"pendingPayments":2,"recipient":{"id":"8a1b2c3d-4e5f-6789-a0b1-c2d3e4f56789"}}]}}}}},"exampleType":"generated"}},"exampleType":"generated"},"b7fb75af-5735-4860-8692-669370faaf22":{"description":"Bad Request - Invalid `fiscalYear` format, or unsupported `categories` or `status` value","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"example":{"message":"Bad request: Invalid field value"},"uniqueKey":"","typeLabel":"object"},"example":{"message":"fiscalYear must be a 4-digit year"},"examples":{"Example":{"title":"Example","value":{"message":"fiscalYear must be a 4-digit year"}}},"exampleType":"examples"}},"exampleType":"examples"},"0a3ff51a-60e1-4b1b-a27c-d9c28d323f54":{"description":"Unauthorized","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"example":{"message":"Bad request: Invalid field value"},"uniqueKey":"","typeLabel":"object"},"example":{"message":"invalid_token"},"examples":{"Example":{"title":"Example","value":{"message":"invalid_token"}}},"exampleType":"examples"}},"exampleType":"examples"},"c801bec8-bc25-41e8-aad5-b054b27e0aaf":{"description":"Forbidden - Company does not belong to the specified partner","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"example":{"message":"Bad request: Invalid field value"},"uniqueKey":"","typeLabel":"object"},"example":{"message":"Company does not belong to the specified partner"},"examples":{"Example":{"title":"Example","value":{"message":"Company does not belong to the specified partner"}}},"exampleType":"examples"}},"exampleType":"examples"},"30a9ddb5-0201-463a-8487-6d41cfd31279":{"description":"Not Found - The employee or company was not found","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"example":{"message":"Bad request: Invalid field value"},"uniqueKey":"","typeLabel":"object"},"example":{"message":"Resource not found"},"examples":{"Example":{"title":"Example","value":{"message":"Resource not found"}}},"exampleType":"examples"}},"exampleType":"examples"},"e5ebd754-309b-4c65-9ea1-d1c65f99ca8c":{"description":"Internal Server Error - Something went wrong on our end","content":{"application/json":{"schema":{"required":["error","message"],"type":"object","properties":{"error":{"type":"integer","format":"int32","isRequired":true,"uniqueKey":"error","typeLabel":"integer\u003cint32>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"}},"example":{"message":"Bad request: Invalid field value"},"uniqueKey":"","typeLabel":"object"},"example":{"message":"Internal server error"},"examples":{"Example":{"title":"Example","value":{"message":"Internal server error"}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"a8704410-4038-4740-b35d-61038133fbce":{"bearerAuth":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"}}},"servers":{"060a59e0-1b02-42db-802c-ab9066685288":{"url":"https://pre-partners-api.cobee.io/api/v3"},"657b1962-c896-4bc9-9a2e-678f6f9589c0":{"url":"https://partners-api.cobee.io/api/v3"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","scopes":[],"schemeName":"bearerAuth"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"bearerAuth","name":"Authorization"}],"title":"bearerAuth"}]},"originalFileLocation":"en/api-reference/partners-openapi-bundled.json"},"subdomain":"pluxee-4cf195bf","siteName":"Cobee by Pluxee - Partners API Documentation","title":"[DRAFT] List employee committed expenses - Cobee by Pluxee - Partners API Documentation","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"en":{"href":"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses","matchLevel":0}}},"lastModified":"2026-11-19T16:12:38.034Z","originalFileLocation":"en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses.mdx","locale":"en"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Cobee by Pluxee - Partners API Documentation\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"[DRAFT] List employee committed expenses - Cobee by Pluxee - Partners API Documentation\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Cobee by Pluxee - Partners API Documentation\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://pluxee-4cf195bf.mintlify.site/_mintlify/api/og/v2?division=Committed+Expenses\u0026amp;title=%5BDRAFT%5D+List+employee+committed+expenses\u0026amp;description=Retrieves+the+committed+expenses+of+a+specific+employee%2C+optionally+filtered+by+fiscal+year%2C+category+and+status.\u0026amp;theme=1c5cc00c9696ad3b947b590b\u0026amp;signature=455892771b18c5accd178b4aa887fc906000e1d19527348211bc27bc56e10377\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"[DRAFT] List employee committed expenses - Cobee by Pluxee - Partners API Documentation\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://pluxee-4cf195bf.mintlify.site/_mintlify/api/og/v2?division=Committed+Expenses\u0026amp;title=%5BDRAFT%5D+List+employee+committed+expenses\u0026amp;description=Retrieves+the+committed+expenses+of+a+specific+employee%2C+optionally+filtered+by+fiscal+year%2C+category+and+status.\u0026amp;theme=1c5cc00c9696ad3b947b590b\u0026amp;signature=455892771b18c5accd178b4aa887fc906000e1d19527348211bc27bc56e10377\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/pluxee-4cf195bf/S9yYqaLJ2agtpdVn/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Cobee by Pluxee - Partners API Documentation\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#1B51DC\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.partners.api.cobee.io/#organization\",\"name\":\"Cobee by Pluxee - Partners API Documentation\",\"url\":\"https://docs.partners.api.cobee.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/pluxee-4cf195bf/cnWEWySeijRBtLVc/publicApi/logo/cobee_light.svg?fit=max\u0026auto=format\u0026n=cnWEWySeijRBtLVc\u0026q=85\u0026s=2fb0e4bc4b4d630455ec24dddd273fc6\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.partners.api.cobee.io#website\",\"name\":\"Cobee by Pluxee - Partners API Documentation\",\"url\":\"https://docs.partners.api.cobee.io\",\"publisher\":{\"@id\":\"https://docs.partners.api.cobee.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses#webpage\",\"url\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses\",\"name\":\"[DRAFT] List employee committed expenses\",\"description\":\"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.\",\"dateModified\":\"2026-11-19T16:12:38.034Z\",\"isPartOf\":{\"@id\":\"https://docs.partners.api.cobee.io#website\"},\"breadcrumb\":{\"@id\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Cobee by Pluxee - Partners API Documentation\",\"item\":\"https://docs.partners.api.cobee.io\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"[DRAFT] List employee committed expenses\",\"item\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses#apireference\",\"headline\":\"[DRAFT] List employee committed expenses\",\"name\":\"[DRAFT] List employee committed expenses\",\"description\":\"Retrieves the committed expenses of a specific employee, optionally filtered by fiscal year, category and status.\",\"url\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses\",\"mainEntityOfPage\":{\"@id\":\"https://docs.partners.api.cobee.io/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses#webpage\"},\"dateModified\":\"2026-11-19T16:12:38.034Z\",\"publisher\":{\"@id\":\"https://docs.partners.api.cobee.io/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.partners.api.cobee.io#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Cobee by Pluxee - Partners API Documentation\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Cobee by Pluxee - Partners API Documentation\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses.md","siteName":"Cobee by Pluxee - Partners API Documentation","nav":{"global":null,"languages":[{"language":"en","tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":"/publicApi/en/welcome"}]},{"tab":"API Reference","groups":[{"group":"Get Started","pages":[{"title":"Get Started","icon":"rocket","href":"/publicApi/en/api-reference/api_introduction"},{"title":"Authentication","icon":"shield-check","href":"/publicApi/en/api-reference/authentication"},{"title":"Rate Limits","icon":"stopwatch","href":"/publicApi/en/api-reference/rate-limits"}]},{"group":"Guides","pages":[{"group":"Consumption Reports","icon":"arrows-to-circle","pages":[{"title":"How to obtain Employee Termination Reports","icon":"chart-bar","href":"/publicApi/en/api-reference/guides/how-to-obtain-termination-reports"},{"title":"How to obtain Monthly Reports","icon":"chart-bar","href":"/publicApi/en/api-reference/guides/how-to-obtain-monthly-reports"}]},{"group":"Employee Limits","icon":"arrows-to-circle","pages":[{"title":"Overview","icon":"chart-bar","href":"/en/api-reference/limits/overview"}]}]},{"group":"Data Models","pages":[{"title":"Consumption Reports","icon":"table-list","href":"/publicApi/en/api-reference/data-models/consumption-report"}]},{"group":"Authentication","pages":[{"title":"Post Oauth Token","openapi":"POST /oauth/token","href":"/publicApi/en/api-reference/authentication/endpoint/post_authenticate"}]},{"group":"Corporations","pages":[{"title":"List corporations","openapi":"GET /corporations","href":"/en/api-reference/corporations/endpoint/get_corporations"}]},{"group":"Employees","pages":[{"title":"Register employee","openapi":"POST /companies/{companyId}/employees","href":"/publicApi/en/api-reference/employees/endpoint/post_employee"},{"title":"Invite employee","openapi":"POST /companies/{companyId}/employees/{employeeId}/invite","href":"/publicApi/en/api-reference/employees/endpoint/post_employee_invite"},{"title":"Get employee","openapi":"GET /companies/{companyId}/employees/{employeeId}","href":"/publicApi/en/api-reference/employees/endpoint/get_employee"},{"title":"Get employees","openapi":"GET /companies/{companyId}/employees","href":"/publicApi/en/api-reference/employees/endpoint/get_employees"},{"title":"Update employee","openapi":"PATCH /companies/{companyId}/employees/{employeeId}","href":"/publicApi/en/api-reference/employees/endpoint/patch_employee"},{"title":"Block employee","openapi":"PATCH /companies/{companyId}/employees/{employeeId}/block","href":"/publicApi/en/api-reference/employees/endpoint/patch_employee_block"},{"title":"Unblock employee","openapi":"PATCH /companies/{companyId}/employees/{employeeId}/unblock","href":"/publicApi/en/api-reference/employees/endpoint/patch_employee_unblock"},{"title":"Remove employee","openapi":"DELETE /companies/{companyId}/employees/{employeeId}","href":"/publicApi/en/api-reference/employees/endpoint/delete_employee"},{"title":"Restore employee","openapi":"PATCH /companies/{companyId}/employees/{employeeId}/restore","href":"/publicApi/en/api-reference/employees/endpoint/patch_employee_restore"},{"title":"Migrate employee","openapi":"POST /companies/{companyId}/employees/{employeeId}/migrate","href":"/publicApi/en/api-reference/employees/endpoint/post_employee_migrate"},{"title":"Move employee","openapi":"POST /companies/{companyId}/employees/{employeeId}/move","href":"/publicApi/en/api-reference/employees/endpoint/post_employee_move"}]},{"group":"Family Members","pages":[{"title":"[DRAFT] Create family member","openapi":"POST /companies/{companyId}/employees/{employeeId}/family-members","href":"/en/api-reference/family-members/endpoint/post_family_member"},{"title":"List family members","openapi":"GET /companies/{companyId}/employees/{employeeId}/family-members","href":"/en/api-reference/family-members/endpoint/get_family_members"},{"title":"[DRAFT] Get family member","openapi":"GET /companies/{companyId}/employees/{employeeId}/family-members/{familyMemberId}","href":"/en/api-reference/family-members/endpoint/get_family_member"}]},{"group":"Limits","pages":[{"title":"Set recurrent limit","openapi":"PUT /companies/{companyId}/employees/{employeeId}/limits/recurrent","href":"/en/api-reference/limits/endpoint/put_employee_limits_recurrent"},{"title":"Set punctual limit","openapi":"PUT /companies/{companyId}/employees/{employeeId}/limits/punctual","href":"/en/api-reference/limits/endpoint/put_employee_limits_punctual"},{"title":"List employee limits","openapi":"GET /companies/{companyId}/employees/{employeeId}/limits","href":"/en/api-reference/limits/endpoint/get_employee_limits"},{"title":"List corporation limits","openapi":"GET /corporations/{corporationId}/limits","href":"/en/api-reference/limits/endpoint/get_corporation_limits"},{"title":"Disable an employee benefit limit","openapi":"POST /companies/{companyId}/limits/disable","href":"/en/api-reference/limits/endpoint/post_disable_limits"},{"title":"Enable an employee benefit limit","openapi":"POST /companies/{companyId}/limits/enable","href":"/en/api-reference/limits/endpoint/post_enable_limits"}]},{"group":"Consumption Reports","pages":[{"title":"List corporation consumptions","openapi":"GET /corporations/{corporationId}/consumptions","href":"/en/api-reference/consumptions/endpoint/get_corporation_consumptions"},{"title":"List company consumptions","openapi":"GET /companies/{companyId}/consumptions","href":"/publicApi/en/api-reference/consumptions/endpoint/get_company_consumptions"},{"title":"List employee consumptions","openapi":"GET /companies/{companyId}/employees/{employeeId}/consumptions","href":"/publicApi/en/api-reference/consumptions/endpoint/get_employee_consumptions"},{"title":"Create employee consumptions","openapi":"POST /companies/{companyId}/payroll-cycles/{payrollCycleId}/employees/{employeeId}/consumptions","href":"/publicApi/en/api-reference/consumptions/endpoint/post_employee_consumption"}]},{"group":"Payroll Cycles","pages":[{"title":"Get Payroll Cycles","openapi":"GET /companies/{companyId}/payroll-cycles","href":"/publicApi/en/api-reference/payroll-cycles/endpoint/get_payroll_cycles"},{"title":"Close Payroll Cycle","openapi":"POST /companies/{companyId}/payroll-cycles/{payrollCycleId}","description":null,"href":"/publicApi/en/api-reference/payroll-cycles/endpoint/post_payroll_cycle"}]},{"group":"Committed Expenses","pages":[{"title":"[DRAFT] List employee committed expenses","openapi":"GET /companies/{companyId}/employees/{employeeId}/committed-expenses","href":"/en/api-reference/committed-expenses/endpoint/get_employee_committed_expenses"}]}]},{"tab":"Webhook Reference","pages":[{"title":"Webhook Reference","href":"/en/api-reference/webhooks/overview"}]}],"global":{"anchors":[{"anchor":"Cobee Homepage","icon":"c","href":"https://cobee.io/"}]}}]},"basePath":"","title":"[DRAFT] List employee committed expenses - Cobee by Pluxee - Partners API Documentation","deploymentId":"dpl_2pTxFtyBudBMYZiCw1MyvoA1wxpd","buildId":"dpl_2pTxFtyBudBMYZiCw1MyvoA1wxpd","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-BtG4DSkw.js","snippetPresets-C1k1xDhp.js","utils-PMJoEt4Y.js","style-to-object-BY3JEAdk.js","utils-DW3Pr7Jq.js","v4-DIgz8zy6.js","addUniqueKeysToSchema-DIISLO2w.js","conditional-requirements-CFM0id0Q.js","cloneDeep-BErNCZCm.js","_Uint8Array-f0PCu9f_.js","isObject-FP1Yky1u.js","ApiExamples-OjY-8mqu.js","usePlaygroundInputsStore-B2HS2hUb.js","shallow-DVFuuIDQ.js","isEqual-DG0UKiQC.js","CodeSnippets-Cy6FBgwN.js","CodeSnippet-D1PtG8ed.js","getApiPlaygroundDisplay-Dkx2eNtL.js","Page-C8Cg25if.js","DynamicMarkdown-BvJIe00T.js","SectionHeading-B0rKYV8d.js","icon-yclzBff4.js","MethodPill-DxA11cCF.js","getPastedJson-CpkIDpMk.js","DuplicateIcon-CFCQNJ-D.js","axios-CsQoIw0U.js","Markdown-CK5C-fmV.js","AssistantPageLink-Cw134Dd-.js","dist-3xM3Qrc7.js","lib-DMeTj1gb.js","lib-B8HbPgcC.js","katex-Dbtb6Wk7.js","html-void-elements-mCSPHezU.js","marked.esm-CZWythHk.js"]}